cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting

## Class OUL_R23

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.OUL_R23

-     public final class OUL_R23
      extends Message

  OUL_R23 - Unsolicited Specimen Container Oriented Observation Message - (Event R23). This message is used to designed for accommodate specimen oriented testing. It should be applicable to laboratory automation systems requiring container.

  Represents a OUL_R23 message structure (see chapter 7.3.9). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: NTE (Notes and Comments Segment) SINGLE_OPTIONAL
  4: PATIENT (a Group of segments in OUL_R23 message) SINGLE_OPTIONAL
  5: NK1 (Next of Kin Segment) MULTIPLE_OPTIONAL
  6: SPECIMEN (a Group of segments in OUL_R23 message) SINGLE_OPTIONAL
  7: DSC (Continuation Pointer Segment) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  OUL_R23 objR23 = (OUL_R23)MessageFactory.createInstance().createSendSupportedMessage("OUL", "R23");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNextOfKinSegment(ISingleCollection<NK1> objNK1SegmentCollection)` Adds collection of Next of Kin Segments(NK1) to this message.
    `void` | `addNextOfKinSegment(NK1 objNK1)` Adds Next of Kin Segment(NK1) to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `void` | `addSpecimenGroup(IGroup objGroup)` Adds SPECIMEN GROUP to this message.
    `void` | `addSpecimenGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of SPECIMEN GROUP to this message.
    `DSC` | `getContinuationPointerSegment()` Retrieves Continuation Pointer(DSC) segment present in this message
    `ISingleCollection<NK1>` | `getNextOfKinSegments()` Retrieves Collection of Next of Kin Segment(NK1) present in this message.
    `NTE` | `getNotesAndCommentsSegment()` Retrieves Notes And Comments(NTE) segment present in this message
    `IGroup` | `getPatientGroup()` Retrieves Patient Group present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `ISingleCollection<IGroup>` | `getSpecimenGroups()` Retrieves Collection of SPECIMEN GROUP present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setContinuationPointerSegment(DSC objDSC)` Sets value of Continuation Pointer segment for this message,overwrites if already present.
    `void` | `setNotesAndCommentsSegment(NTE objNTE)` Sets value of Notes And Comments segment for this message,overwrites if already present.
    `void` | `setPatientGroup(IGroup objGroup)` Sets value of Patient Group for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getNotesAndCommentsSegment

          public NTE getNotesAndCommentsSegment()

      Retrieves Notes And Comments(NTE) segment present in this message
      Returns:
        NTE - the Notes And Comments Segment present in this message or null if unavailable.

    - #### setNotesAndCommentsSegment

          public void setNotesAndCommentsSegment(NTE objNTE)

      Sets value of Notes And Comments segment for this message,overwrites if already present.
      Parameters:
        `objNTE` - Specified Notes And Comments Segment

    - #### getPatientGroup

          public IGroup getPatientGroup()

      Retrieves Patient Group present in this message.
      Returns:
        Group - Patient Group present in this message.

    - #### setPatientGroup

          public void setPatientGroup(IGroup objGroup)

      Sets value of Patient Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified Patient Group

    - #### addNextOfKinSegment

          public void addNextOfKinSegment(NK1 objNK1)

      Adds Next of Kin Segment(NK1) to this message.
      Parameters:
        `objNK1` - Specified Next of Kin Segment(NK1) to add in message.

    - #### addNextOfKinSegment

          public void addNextOfKinSegment(ISingleCollection<NK1> objNK1SegmentCollection)

      Adds collection of Next of Kin Segments(NK1) to this message.
      Parameters:
        `objNK1SegmentCollection` - Collection of Next of Kin Segment(NK1) to add in this message

    - #### getNextOfKinSegments

          public ISingleCollection<NK1> getNextOfKinSegments()

      Retrieves Collection of Next of Kin Segment(NK1) present in this message.
      Returns:
        ISingleCollection - Collection of Next of Kin Segment(NK1) present in this message.

    - #### getSpecimenGroups

          public ISingleCollection<IGroup> getSpecimenGroups()

      Retrieves Collection of SPECIMEN GROUP present in this message.
      Returns:
        ISingleCollection - Collection of SPECIMEN Group present in this Message.

    - #### addSpecimenGroups

          public void addSpecimenGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of SPECIMEN GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified SPECIMEN GROUP Collection.

    - #### addSpecimenGroup

          public void addSpecimenGroup(IGroup objGroup)

      Adds SPECIMEN GROUP to this message.
      Parameters:
        `objGroup` - Specified SPECIMEN GROUP.

    - #### getContinuationPointerSegment

          public DSC getContinuationPointerSegment()

      Retrieves Continuation Pointer(DSC) segment present in this message
      Returns:
        DSC - the Continuation Pointer Segment present in this message or null if unavailable.

    - #### setContinuationPointerSegment

          public void setContinuationPointerSegment(DSC objDSC)

      Sets value of Continuation Pointer segment for this message,overwrites if already present.
      Parameters:
        `objDSC` - Specified Continuation Pointer Segment